GNU bug report logs - #33189
Touchpad tap

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: <znavko@HIDDEN>; merged with #35450; dated Sun, 28 Oct 2018 18:41:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 33189 35450. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33189 <at> debbugs.gnu.org:


Received: (at 33189) by debbugs.gnu.org; 13 May 2019 17:27:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 13 13:27:11 2019
Received: from localhost ([127.0.0.1]:46051 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQEjG-0001mA-RX
	for submit <at> debbugs.gnu.org; Mon, 13 May 2019 13:27:11 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:48677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <a@HIDDEN>) id 1hQEjE-0001lu-Bq
 for 33189 <at> debbugs.gnu.org; Mon, 13 May 2019 13:27:09 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 08EDB2618E
 for <33189 <at> debbugs.gnu.org>; Mon, 13 May 2019 13:27:03 -0400 (EDT)
Received: from imap1 ([10.202.2.51])
 by compute6.internal (MEProxy); Mon, 13 May 2019 13:27:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ajgrf.com; h=
 mime-version:message-id:date:from:to:subject:content-type; s=
 fm2; bh=o3OdqBLWs+/TDI6noKJn5ybO7NytExb0lRLXf3OD7w4=; b=T3m43WPV
 8dA4Zu9Ps7FoOwtOw1cXQ904iNA9akn6qnvYhdtUvysoNaT7kKOye2Nx4SaFuhLQ
 pVqw0jNBZLDqp//wp0n9Z2fBQTNusRjv+Ac8Pi9f4ifNvQ9yCOxdPjUWsEzrq7Gl
 IFT2FaOpstcFMl2RC+y8pFhZ+mCQzrAZD3NbMGWHuwtjTg/wYk4OjRDxWhcZOmKC
 GaoVuUvHEnY6tTmdlucCB8c5J8TLTQGMDX6S2+Gzg7oSUMMRNArKm/P/BtXSnd8t
 n2J2PEm4c7CjeAEjJNU+5Z3ZtWxW68EtpyPbAY5tOU5xf8a3PniJK1j+iDZ1YzyO
 G0cxotFsa+YtSA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=o3OdqBLWs+/TDI6noKJn5ybO7NytE
 xb0lRLXf3OD7w4=; b=CcISHeEt9MiaCdTFxzqXi1pJW8EWiQGr5Ld9nGijtPi5T
 g16bbOr6MD8pujRmJ7L5Pqva2hSwDbl0UeZN8Zw5x5VZpCEmo5TfgNbZrnUrgD1c
 V+gc3kVXLlJfhs2Vq5l++SEHPlU5NMQJAqTNN8cZp+RmyaszueP3nXwD5O55mqLZ
 +YR48RSLZQBxdqsuLOW94H3bWc0a50wN2GUd6ybtKRR32K39GTtX0kNqbn3xCJ70
 lxg12/e11jarRMu8hm2gF1C/UOdmv8F7TBVcMV2vEhjm9e3xCC75I5g+1pmojnyK
 nZz5RHRGWFLvooelqNWJHFLFssfqjNJNBnfF81OkQ==
X-ME-Sender: <xms:5qjZXMFNFIERUff7mZQOP1T5B9mpBvhUMJGS0o6B11zKhH0g0nDvdw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduuddrleeggdduudefucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfffhffvufgtsehttdertd
 erredtnecuhfhrohhmpedftehlvgigucfirhhifhhfihhnfdcuoegrsegrjhhgrhhfrdgt
 ohhmqeenucfrrghrrghmpehmrghilhhfrhhomheprgesrghjghhrfhdrtghomhenucevlh
 hushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:5qjZXIHNtmeU-AIBvYnG_UXJSg1aBUgsLzVxOrnByZJPgFS6CRh6wA>
 <xmx:5qjZXDABwEmVe0DsbB4BL3kP2hwNmjitLbGbzHNcpgqGybO3P-ktwA>
 <xmx:5qjZXFlSEJ1WOg5ZiCMwBYCT6PjopT-Dwf-CoOPGwpPx6CavtoO1nw>
 <xmx:5qjZXNGFQNMoW240N1PvUWsT2AvhEa6_BvkzfgbLt19Fr1aUjqXbpQ>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 798AAD4948; Mon, 13 May 2019 13:27:02 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.1.6-453-g9eaa09e-fmstable-20190430v2bis
Mime-Version: 1.0
Message-Id: <5088a01a-97f5-4f48-b7ab-45fcf1750476@HIDDEN>
Date: Mon, 13 May 2019 13:27:00 -0400
From: "Alex Griffin" <a@HIDDEN>
To: 33189 <at> debbugs.gnu.org
Subject: Touchpad tap
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33189
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

If you want to force the libinput driver, it's way easier to just remove synaptics from the list of Xorg modules.

    (set-xorg-configuration
     (xorg-configuration
      (keyboard-layout keyboard-layout)
      (modules (filter (lambda (mod)
                         (not (eq? mod xf86-input-synaptics)))
                       %default-xorg-modules))))

Or if you don't want to do that, you can use synclient to configure the synaptics driver after it has already loaded. No need to fiddle with X11 config files.

It looks like this issue is probably the same as #35450, where Florian has identified the cause.

-- 
Alex Griffin




Information forwarded to bug-guix@HIDDEN:
bug#33189; Package guix. Full text available.

Message received at 33189 <at> debbugs.gnu.org:


Received: (at 33189) by debbugs.gnu.org; 29 Oct 2018 04:01:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 29 00:01:58 2018
Received: from localhost ([127.0.0.1]:49825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGykY-0004Np-KQ
	for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 00:01:58 -0400
Received: from mail-vk1-f176.google.com ([209.85.221.176]:44728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lutheroto@HIDDEN>) id 1gGykW-0004Nc-Rm
 for 33189 <at> debbugs.gnu.org; Mon, 29 Oct 2018 00:01:57 -0400
Received: by mail-vk1-f176.google.com with SMTP id h128so221916vkg.11
 for <33189 <at> debbugs.gnu.org>; Sun, 28 Oct 2018 21:01:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=LAPdk/O2y2AyMSub0XrsInLKvypnXXq28PFdyUxeKj0=;
 b=YcU0JEJKwj2/r+mfRg/5CjKoR+44D/9uOHGPXnqY28aQ9gw3YXQNAITh4DQeXaOk4r
 ktS8VY5YHmDIAf0JPIlj9Mbz9CA1KChuwFeFvkDkWp0onWNChzSFG9d5YEc7KtTG9wn5
 kZTpBRnv3KYUS3qIuRXnn5HbHa0PNlnwIU+MX1Q8m16PuiKBPNMm0H0dad+irvP39DP2
 DfcnSjaq5qPbVpoPhVV33al7+PyFDXWD4qJ0tUT1Wj9VMsJlS+yIm86g2iLnAlsgHfp2
 DOyRAAdKWd1ro75XA9VBnTbHvxAOxxFhXUWknZabYH6VtN83QSyyNq+wF9+qi4hemXsb
 jDxA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=LAPdk/O2y2AyMSub0XrsInLKvypnXXq28PFdyUxeKj0=;
 b=B10MrWvKrT2kTomQwYI0R2ALd8g+xeI2n2pxckZAmisvi+GVvyUX25X+bqThyox2Xd
 iiF8vbCpEEY97jI5rHXJlisM1i1DMOCp3RF+IIbR8rb4k9j0F11+Mhi6d9qjzJP2EntY
 UTnwuNDmxvj71xUGzKL0tqg3UWXwjhJIp2xaAwJHz21swXaHeYi9Ic6hNbQY5QJHXxa+
 as7uNSCLb5q3+TCxi2YNA9DQ/WwVfyqGVIzz+oiKabnxJnxYyq1f7i9R8w7FwHawFEUU
 n4DC6dQWgscmhjCORQLKscFuFqub7gjHp/1bbeI+jF/Y0pcT1XTFqP1r+i9v5AHyShck
 dAZg==
X-Gm-Message-State: AGRZ1gLKUpV+wt2Q/WHJlEk8HKBPqvD9rYZradQ0MSr7IszE9y2U0ClS
 8drtjdkMPlaLKze2W0fjkQo=
X-Google-Smtp-Source: AJdET5dSf28ZtrvIFawel9IoTNZwCATL191Vh/F3PzvddMgGn+VIfwWGgVyC6a0nWQ9Tv0HEMK3s7w==
X-Received: by 2002:a1f:97d1:: with SMTP id z200mr1099085vkd.15.1540785711237; 
 Sun, 28 Oct 2018 21:01:51 -0700 (PDT)
Received: from localhost ([2601:c6:cf00:1c9::2c80])
 by smtp.gmail.com with ESMTPSA id g19sm1118177uan.15.2018.10.28.21.01.50
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 28 Oct 2018 21:01:51 -0700 (PDT)
Date: Mon, 29 Oct 2018 00:01:44 -0400
From: Luther Thompson <lutheroto@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#33189: Touchpad tap
Message-ID: <20181029000144.0d3df56a@HIDDEN>
In-Reply-To: <87woq1bmyq.fsf@HIDDEN>
References: <LPvy_pD--3-1@HIDDEN> <87a7mxn8ks.fsf@HIDDEN>
 <20181028194918.32e4b6cc@HIDDEN> <87woq1bmyq.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33189
Cc: 33189 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>,
 help-guix@HIDDEN, znavko@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 29 Oct 2018 01:44:45 +0100
Tobias Geerinckx-Rice <me@HIDDEN> wrote:

> Here's what I use:
> 
>   Section \"InputClass\"
>    Identifier \"Touchpads\"
>    Driver \"libinput\"
>    MatchDevicePath \"/dev/input/event*\"
>    MatchIsTouchpad \"on\"
> 
>    Option \"DisableWhileTyping\" \"on\"
>    Option \"MiddleEmulation\" \"on\"
>    Option \"ClickMethod\" \"clickfinger\"
>    Option \"Tapping\" \"on\"
>    Option \"TappingButtonMap\" \"lrm\"
>    Option \"TappingDrag\" \"on\"
>    Option \"ScrollMethod\" \"twofinger\"
>    Option \"NaturalScrolling\" \"true\"
>   EndSection
> 
> xinput(1) calls it an 'ETPS/2 Elantech Touchpad'.

Thanks, but I still can't get it to work. This is my current config:

Section \"InputClass\"
	Identifier \"Touchpads\"
	Driver \"libinput\"
	MatchDevicePath \"/dev/input/event*\"
	MatchIsTouchpad \"on\"
	Option \"DisableWhileTyping\" \"on\"
	Option \"Tapping\" \"on\"
EndSection

I've found from xinput that it's a 'SynPS/2 Synaptics TouchPad' at
device node /dev/input/event6. I can't find a way to confirm the driver
name.

Luther




Information forwarded to bug-guix@HIDDEN:
bug#33189; Package guix. Full text available.

Message received at 33189 <at> debbugs.gnu.org:


Received: (at 33189) by debbugs.gnu.org; 29 Oct 2018 00:44:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 28 20:44:43 2018
Received: from localhost ([127.0.0.1]:49506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGvff-0005lH-MI
	for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 20:44:43 -0400
Received: from tobias.gr ([80.241.217.52]:49012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1gGvfd-0005l9-Mt
 for 33189 <at> debbugs.gnu.org; Sun, 28 Oct 2018 20:44:42 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 37cf9324;
 Mon, 29 Oct 2018 00:44:39 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=references
 :from:to:cc:subject:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=YBaxcHd0LVsVYS7/ci6bJY
 Ul4oTsPOstFDZzwisVhBs=; b=F8Ko7NHd7qRB0D6irT/K40+UB+2AqEzPW4l7iy
 VgdDktW95T0Wbmp44OnK/PGfV2kShdgsbV6w9WD7XBFQyzuY5u8ZVY3GcG3g51Tl
 KC02mZSkHzTSSUWcSfG++W8YNwgOG5ntZ6fo5mn0l8HYm5pCx5N89CyxcErJonC1
 P7Un7+xhiDh1oMuRx6erRO1glbHlC7aCt9R3qcmYyo3FWKDJ32aPeKbZqUnptg4c
 f0NbYBpr90JTirbLW5AXoK5ezeNoAXD1je0BFnnqz2C3IfylvAa0sRNzVfE08vXC
 80QMdJuTUtGiRb10AO9/zCL+7hSor0oa72tBxEogzXlJNx5Q==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1b45ee1b
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Mon, 29 Oct 2018 00:44:36 +0000 (UTC)
References: <LPvy_pD--3-1@HIDDEN> <87a7mxn8ks.fsf@HIDDEN>
 <20181028194918.32e4b6cc@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Luther Thompson <lutheroto@HIDDEN>, znavko@HIDDEN
Subject: Re: bug#33189: Touchpad tap
In-reply-to: <20181028194918.32e4b6cc@HIDDEN>
Date: Mon, 29 Oct 2018 01:44:45 +0100
Message-ID: <87woq1bmyq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33189
Cc: 33189 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>,
 help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Luther,

Luther Thompson wrote:
> Section \"InputClass\"
> 	Identifier \"touchpad-all\"
> 	MatchIsTouchpad \"on\"
> 	Option \"DisableWhileTyping\" \"on\"
> 	Option \"Tapping\" \"on\"
> EndSection"

[...]

> Neither DisableWhileTyping nor Tapping has any effect. I also 
> set the
> corresponding settings in Gnome Tweaks > Keyboard & Mouse > 
> Touchpad.
> If I need a Driver field or some specific Identifier, I haven't 
> been
> able to find a way to determine the correct info for those 
> fields.

Here's what I use:

  Section \"InputClass\"
   Identifier \"Touchpads\"
   Driver \"libinput\"
   MatchDevicePath \"/dev/input/event*\"
   MatchIsTouchpad \"on\"

   Option \"DisableWhileTyping\" \"on\"
   Option \"MiddleEmulation\" \"on\"
   Option \"ClickMethod\" \"clickfinger\"
   Option \"Tapping\" \"on\"
   Option \"TappingButtonMap\" \"lrm\"
   Option \"TappingDrag\" \"on\"
   Option \"ScrollMethod\" \"twofinger\"
   Option \"NaturalScrolling\" \"true\"
  EndSection

xinput(1) calls it an 'ETPS/2 Elantech Touchpad'.

Kind regards,

T G-R




Information forwarded to bug-guix@HIDDEN:
bug#33189; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2018 23:49:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 28 19:49:58 2018
Received: from localhost ([127.0.0.1]:49466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGuoc-0004Os-D2
	for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 19:49:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lutheroto@HIDDEN>) id 1gGuoa-0004Of-Om
 for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 19:49:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lutheroto@HIDDEN>) id 1gGuoU-0002k4-B3
 for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 19:49:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60626)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <lutheroto@HIDDEN>) id 1gGuoU-0002jt-4s
 for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 19:49:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57951)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lutheroto@HIDDEN>) id 1gGuoS-0000vR-Uf
 for bug-guix@HIDDEN; Sun, 28 Oct 2018 19:49:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lutheroto@HIDDEN>) id 1gGuoN-0002hU-QE
 for bug-guix@HIDDEN; Sun, 28 Oct 2018 19:49:44 -0400
Received: from mail-yb1-xb2a.google.com ([2607:f8b0:4864:20::b2a]:45398)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <lutheroto@HIDDEN>)
 id 1gGuoE-0002dw-HK; Sun, 28 Oct 2018 19:49:34 -0400
Received: by mail-yb1-xb2a.google.com with SMTP id 131-v6so2707055ybe.12;
 Sun, 28 Oct 2018 16:49:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=/6wkPmE/nalhjVKwZK4199XGtTekH9Cz+Xfo4ePCNzE=;
 b=Tt3kngsKRbFx2L3+XP57iShkD6t4053Xnj7sh9f/kw2SaVZFx5sIIaJoyJX4HqOcmB
 JLN4SyUyQ3nEjHK1YUUmCZtz0L6fKbwCOpjCOCXc+IftamzKhg3ro6iLgulXqd2ue4w6
 V6ON4dPKK+saGRqEMSP4cPVxK5DKH7pMs8l80awQnKldCgMpwai7R2N+uMBG0MivW3dT
 7Xabu0EIo0/b0CLJmT8FUwJRolswxpJaDce9MGT8/M0ufreDnlb0Iak+H7xFxlHrFnUT
 kIEtAEXoOL7e1o6rRlxDvcFbAJoWXP47q2H/4iauMN2n0eGdgNO9EDr4j8pRPg6Tf9w5
 7KlQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=/6wkPmE/nalhjVKwZK4199XGtTekH9Cz+Xfo4ePCNzE=;
 b=A9CPofDlh5szWp+hyzsK6qLXP6n+J4eFvmwOrnQJKuidAIwjW3kckMOZmptC9QQpex
 hTTh+OcmDzuVgmqW2tkQc+SivrGPwAcM66rBccaEl2ZbtBle91mpLcBDIgfJe3DaO1JY
 KFXJTtezfPih3ITucKjSD+J/z5376ONwchtJLRFXU92rWVm+8LRojL3RV/SxAtKlWcBx
 JuaHr7xqmp/hVVzViBqJ4Raeno+xikHIZU7SX7DPcGxpaK1yT0Ff7zfoW4J8lW+gjB/h
 o9WQ3zGnTVXz3IB+y6b0htyZjZtdDytrw10zvluTsy8kHm5crYpYugD7u8LW6GSgUDNI
 FU3Q==
X-Gm-Message-State: AGRZ1gKupEhJpJJ34LwKr5H4nAipzqPgt+Kmdx+CfOd4JtTGDi3mtk63
 7FmrVPyy4UUkHuKtcIf0WME=
X-Google-Smtp-Source: AJdET5e5x4itTgQGO6cmPTQKSN4uLr8TTk2RyLu/IaRwkBp/HW/Y7TYotTqx4Wp0+sM8UhRTl0fOOQ==
X-Received: by 2002:a25:4947:: with SMTP id
 w68-v6mr11285971yba.162.1540770562068; 
 Sun, 28 Oct 2018 16:49:22 -0700 (PDT)
Received: from localhost (50-243-201-195-static.hfc.comcastbusiness.net.
 [50.243.201.195])
 by smtp.gmail.com with ESMTPSA id r18-v6sm4023407ywa.16.2018.10.28.16.49.21
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 28 Oct 2018 16:49:21 -0700 (PDT)
Date: Sun, 28 Oct 2018 19:49:18 -0400
From: Luther Thompson <lutheroto@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: Touchpad tap
Message-ID: <20181028194918.32e4b6cc@HIDDEN>
In-Reply-To: <87a7mxn8ks.fsf@HIDDEN>
References: <LPvy_pD--3-1@HIDDEN>
	<87a7mxn8ks.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: Help Guix <help-guix@HIDDEN>, Bug Guix <bug-guix@HIDDEN>,
 znavko@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On Sun, 28 Oct 2018 21:02:27 +0100
Pierre Neidhardt <mail@HIDDEN> wrote:

> Hi!
> 
> Consult the manual, "(guix) X Window".  There is an example near the
> end:
> 
> --8<---------------cut here---------------start------------->8---
>           (define bepo-evdev
>             "Section \"InputClass\"
>                   Identifier \"evdev keyboard catchall\"
>                   Driver \"evdev\"
>                   MatchIsKeyboard \"on\"
>                   Option \"xkb_layout\" \"fr\"
>                   Option \"xkb_variant\" \"bepo\"
>           EndSection")
> 
>           (operating-system
>             ...
>             (services
>               (modify-services %desktop-services
>                 (slim-service-type config =>
>                   (slim-configuration
>                     (inherit config)
>                     (startx (xorg-start-command
>                              #:configuration-file
>                              (xorg-configuration-file
>                                #:extra-config
>                                (list bepo-evdev)))))))))
> --8<---------------cut here---------------end--------------->8---
> 
> The above example only details keyboard configuration.  For your
> trackpad, have a look at libinput's manpage.
> Also https://wiki.archlinux.org/index.php/Libinput may give you a
> good coverage of the topic.

I've been having the same problem on my Think Penguin laptop, and since
seeing this email, I've tried modifying my config.scm unsuccessfully.
I've run the reconfigure command and rebooted. Here is my services
field:

---BEGIN---
  (services
   (cons* (gnome-desktop-service) (console-keymap-service "dvorak")
	  (extra-special-file "/usr/bin/env" (file-append coreutils
"/bin/env")) (modify-services %desktop-services
			   (slim-service-type config =>
					      (slim-configuration
					       (inherit config)
					       (startx
						(xorg-start-command
						 #:configuration-file
						 (xorg-configuration-file
						  #:extra-config
						  '(
"Section \"InputClass\"
        Identifier \"keyboard-all\"
        Option \"XkbLayout\" \"dvorak\"
        MatchIsKeyboard \"on\"
EndSection
Section \"InputClass\"
	Identifier \"touchpad-all\"
	MatchIsTouchpad \"on\"
	Option \"DisableWhileTyping\" \"on\"
	Option \"Tapping\" \"on\"
EndSection"
))))))
			   (guix-service-type config =>
					      (guix-configuration
					       (inherit config)
					       (substitute-urls
						(list
						 "https://berlin.guixsd.org"
						 "https://mirror.hydra.gnu.org"
						 "https://hydra.gnu.org")))))))
---END---

Neither DisableWhileTyping nor Tapping has any effect. I also set the
corresponding settings in Gnome Tweaks > Keyboard & Mouse > Touchpad.
If I need a Driver field or some specific Identifier, I haven't been
able to find a way to determine the correct info for those fields.

Luther




Information forwarded to bug-guix@HIDDEN:
bug#33189; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2018 20:02:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 28 16:02:44 2018
Received: from localhost ([127.0.0.1]:49364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGrGl-0005ab-3V
	for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 16:02:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37133)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gGrGj-0005aO-BT
 for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 16:02:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gGrGd-0003aY-9A
 for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 16:02:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40708)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1gGrGd-0003aP-5c
 for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 16:02:35 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46720)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gGrGc-0004e1-9p
 for bug-guix@HIDDEN; Sun, 28 Oct 2018 16:02:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gGrGZ-0003Y0-4H
 for bug-guix@HIDDEN; Sun, 28 Oct 2018 16:02:34 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:60463)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>)
 id 1gGrGY-0003XD-UB; Sun, 28 Oct 2018 16:02:31 -0400
X-Originating-IP: 88.190.253.40
Received: from mimimi (unknown [88.190.253.40])
 (Authenticated sender: mail@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 1FFBA6000A;
 Sun, 28 Oct 2018 20:02:27 +0000 (UTC)
References: <LPvy_pD--3-1@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Pierre Neidhardt <mail@HIDDEN>
To: znavko@HIDDEN
Subject: Re: Touchpad tap
In-reply-to: <LPvy_pD--3-1@HIDDEN>
Date: Sun, 28 Oct 2018 21:02:27 +0100
Message-ID: <87a7mxn8ks.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: Bug Guix <bug-guix@HIDDEN>, Help Guix <help-guix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi!

Consult the manual, "(guix) X Window".  There is an example near the end:

=2D-8<---------------cut here---------------start------------->8---
          (define bepo-evdev
            "Section \"InputClass\"
                  Identifier \"evdev keyboard catchall\"
                  Driver \"evdev\"
                  MatchIsKeyboard \"on\"
                  Option \"xkb_layout\" \"fr\"
                  Option \"xkb_variant\" \"bepo\"
          EndSection")

          (operating-system
            ...
            (services
              (modify-services %desktop-services
                (slim-service-type config =3D>
                  (slim-configuration
                    (inherit config)
                    (startx (xorg-start-command
                             #:configuration-file
                             (xorg-configuration-file
                               #:extra-config
                               (list bepo-evdev)))))))))
=2D-8<---------------cut here---------------end--------------->8---

The above example only details keyboard configuration.  For your trackpad, =
have
a look at libinput's manpage.
Also https://wiki.archlinux.org/index.php/Libinput may give you a good cove=
rage
of the topic.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAlvWFdMACgkQm9z0l6S7
zH8cWAf/TVXByJJEPMhRcxWtOJeE2YrpHJSXrXijwuHM6EMlP5rG5tOO/A27LMdq
z1hShZvrAgHQgADP6b7kmFQ+rEhFmY+IOr7OGYAwwKLyvWoy7g4r7Nkg/Ep2Hs0O
h3ozUeiKp/FXN7njjkoJJleD4vRjQXstbyDvbk+0jAK3pv3lXflNjh1CzAmgcGCt
Qle9JouYMHZYoQc2EqSH/YNODc3KYzQhgTgnbSuGWhLUhwioVAQI+uPN1mw6z63E
yHmZT91dcv5upG4qR6eOY0gouw53uTAlNmmvY9mmzP3XDNG4XIUEqYv/ilQfHZgH
J/Z7xx/veWXHQMN2UaJGaduLjKIJug==
=c8oD
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#33189; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2018 18:40:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 28 14:40:57 2018
Received: from localhost ([127.0.0.1]:49315 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGpzd-0003gJ-KY
	for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 14:40:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50879)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <znavko@HIDDEN>) id 1gGpzb-0003g6-BN
 for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 14:40:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <znavko@HIDDEN>) id 1gGpzV-0001MT-5b
 for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 14:40:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44194)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <znavko@HIDDEN>) id 1gGpzU-0001M9-Vk
 for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 14:40:49 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60467)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <znavko@HIDDEN>) id 1gGpzU-0007aH-1j
 for bug-guix@HIDDEN; Sun, 28 Oct 2018 14:40:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <znavko@HIDDEN>) id 1gGpzP-0001IB-79
 for bug-guix@HIDDEN; Sun, 28 Oct 2018 14:40:48 -0400
Received: from w1.tutanota.de ([81.3.6.162]:54602)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <znavko@HIDDEN>)
 id 1gGpzO-0001C7-SY; Sun, 28 Oct 2018 14:40:43 -0400
Received: from w2.tutanota.de (unknown [192.168.1.163])
 by w1.tutanota.de (Postfix) with ESMTP id 9F660FA07D8;
 Sun, 28 Oct 2018 18:40:40 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=tutanota.com;
 s=20161216; t=1540752040;
 bh=kV0Gh9Ro9WGuNVM414TdrG1/B4S99UsITG4XIvGPh8k=;
 h=Date:From:To:Subject:From;
 b=jfhty7KWkCsXHLXTaxgE7vOvxYd/cacgW82lyrpjnVF3rzSHHAy9HxSbvyDbN8dUS
 lOZIMQf1owqsNWH6wa4FeohY1o+0cLOI735aguX9PC+pHzrJZ3ffWABDCDJMp5LgZm
 ZxXYbTZC9n0tcxnwvmRsC6tlIlJ3hHXwkEmqBF1725ktSgRrBzjx2CUnflAX2kGWb4
 BSnmnGL1dm+H7E4V+y5DD0dtQnBuNv1pvvV5sX9QeNKbOc+SWdu1CohANE8pFxo4k/
 GazplatGtAJBwgpTjaEOnOn5JV1RKF3B6tHpPo7fhtux2HVVEnmUKyhVgWPS2UHbMo
 6l+iwlfGd4weQ==
Date: Sun, 28 Oct 2018 19:40:40 +0100 (CET)
From: <znavko@HIDDEN>
To: Help Guix <help-guix@HIDDEN>, Bug Guix <bug-guix@HIDDEN>
Message-ID: <LPvy_pD--3-1@HIDDEN>
Subject: Touchpad tap
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_56124_1000770418.1540752040646"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

------=_Part_56124_1000770418.1540752040646
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

Hello, Guix Help! I am not able to use tap on my touchpad. Scroll is working, mouse motion is working, left and right buttons are working, but tap and double click are not working on my touchpad.

As described in the Internet need to use /etc/X11/xorg.conf.d/90-synaptics.conf. 
But GuixSD has own filesystem structure, so there is no /etc/X11.

Here it is configuration file xorg.scm: https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/xorg.scm?id=v0.15.0-2564-g38a2f5eaf#n2564 <https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/xorg.scm?id=v0.15.0-2564-g38a2f5eaf#n2564>

I assume xorg configurations ought to be done. Please, how to write my config.scm?

------=_Part_56124_1000770418.1540752040646
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  </head>
  <body>
Hello, Guix Help! I am not able to use tap on my touchpad. Scroll is working, mouse motion is working, left and right buttons are working, but tap and double click are not working on my touchpad.<br /><br />As described in the Internet need to use /etc/X11/xorg.conf.d/90-synaptics.conf. <br />But GuixSD has own filesystem structure, so there is no /etc/X11.<br /><br />Here it is configuration file xorg.scm: <a href="https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/xorg.scm?id=v0.15.0-2564-g38a2f5eaf#n2564" target="_blank" rel="noopener noreferrer">https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/xorg.scm?id=v0.15.0-2564-g38a2f5eaf#n2564</a><br /><br />I assume xorg configurations ought to be done. Please, how to write my config.scm?<br />  </body>
</html>

------=_Part_56124_1000770418.1540752040646--




Acknowledgement sent to <znavko@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33189; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Nov 2020 21:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.